org.apache.ignite.cache.eviction.igfs

## Interface IgfsPerBlockLruEvictionPolicyMXBean

All Known Implementing Classes:
  IgfsPerBlockLruEvictionPolicy

    @MXBeanDescription(value="MBean for IGFS per-block LRU cache eviction policy.")
    public interface IgfsPerBlockLruEvictionPolicyMXBean

MBean for `IGFS per-block LRU` eviction policy.

### Method Summary

Methods
`int` `getCurrentBlocks()` Gets current amount of blocks.
`long` `getCurrentSize()` Gets current size of data in all blocks.
`Collection<String>` `getExcludePaths()` Gets collection of regex for paths whose blocks must not be evicted.
`int` `getMaxBlocks()` Gets maximum allowed amount of blocks.
`long` `getMaxSize()` Gets maximum allowed size of all blocks in bytes.
`void` `setExcludePaths(Collection<String> excludePaths)` Sets collection of regex for paths whose blocks must not be evicted.
`void` `setMaxBlocks(int maxBlocks)` Sets maximum allowed amount of blocks.
`void` `setMaxSize(long maxSize)` Sets maximum allowed size of data in all blocks in bytes.

### Method Detail

#### getMaxSize

    @MXBeanDescription(value="Maximum allowed size of all blocks in bytes.")
    long getMaxSize()

Gets maximum allowed size of all blocks in bytes.

Returns:
  Maximum allowed size of all blocks in bytes.

#### setMaxSize

    @MXBeanDescription(value="Sets aximum allowed size of data in all blocks in bytes.")
    void setMaxSize(long maxSize)

Sets maximum allowed size of data in all blocks in bytes.

Parameters:
  `maxSize` - Maximum allowed size of data in all blocks in bytes.

#### getMaxBlocks

    @MXBeanDescription(value="Maximum allowed amount of blocks.")
    int getMaxBlocks()

Gets maximum allowed amount of blocks.

Returns:
  Maximum allowed amount of blocks.

#### setMaxBlocks

    @MXBeanDescription(value="Sets maximum allowed amount of blocks.")
    void setMaxBlocks(int maxBlocks)

Sets maximum allowed amount of blocks.

Parameters:
  `maxBlocks` - Maximum allowed amount of blocks.

#### getExcludePaths

    @MXBeanDescription(value="Collection of regex for paths whose blocks must not be evicted.")
    @Nullable
    Collection<String> getExcludePaths()

Gets collection of regex for paths whose blocks must not be evicted.

Returns:
  Collection of regex for paths whose blocks must not be evicted.

#### setExcludePaths

    @MXBeanDescription(value="Sets collection of regex for paths whose blocks must not be evicted.")
    void setExcludePaths(@Nullable
                                              Collection<String> excludePaths)

Sets collection of regex for paths whose blocks must not be evicted.

Parameters:
  `excludePaths` - Collection of regex for paths whose blocks must not be evicted.

#### getCurrentSize

    @MXBeanDescription(value="Current size of data in all blocks.")
    long getCurrentSize()

Gets current size of data in all blocks.

Returns:
  Current size of data in all blocks.

#### getCurrentBlocks

    @MXBeanDescription(value="Current amount of blocks.")
    int getCurrentBlocks()

Gets current amount of blocks.

Returns:
  Current amount of blocks.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.6.0
Release Date | : May 18 2016